org.eclipse.rdf4j.sail

## Class SailConnectionBooleanQuery

- java.lang.Object
- - org.eclipse.rdf4j.query.impl.AbstractOperation
  - - org.eclipse.rdf4j.query.impl.AbstractQuery
    - - org.eclipse.rdf4j.query.impl.AbstractParserQuery
      - - org.eclipse.rdf4j.sail.SailConnectionQuery
        - - org.eclipse.rdf4j.sail.SailConnectionBooleanQuery

- All Implemented Interfaces:
    BooleanQuery, Operation, Query

      public class SailConnectionBooleanQuery
      extends SailConnectionQuery
      implements BooleanQuery

  Author:
    Arjohn Kampman

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.query.impl.AbstractParserQuery

      `AbstractParserQuery.QueryInterruptIteration`

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.query.Query

      `Query.QueryType`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.impl.AbstractParserQuery

      `DEFAULT_EXPLANATION_EXECUTION_TIMEOUT`

    - ### Fields inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `bindings, dataset, includeInferred`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SailConnectionBooleanQuery(ParsedBooleanQuery tupleQuery, SailConnection sailConnection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluate()`
    `ParsedBooleanQuery` | `getParsedQuery()`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.SailConnectionQuery

      `explain, getSailConnection`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractParserQuery

      `enforceMaxQueryTime, getActiveDataset, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractQuery

      `getMaxQueryTime, setMaxQueryTime`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Query

      `explain, getMaxQueryTime, setMaxQueryTime`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Operation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

- - ### Constructor Detail

    - #### SailConnectionBooleanQuery

          public SailConnectionBooleanQuery(ParsedBooleanQuery tupleQuery,
                                            SailConnection sailConnection)

  - ### Method Detail

    - #### getParsedQuery

          public ParsedBooleanQuery getParsedQuery()

      Overrides:
        `getParsedQuery` in class `AbstractParserQuery`

    - #### evaluate

          public boolean evaluate()
                           throws QueryEvaluationException

      Specified by:
        `evaluate` in interface `BooleanQuery`
      Throws:
        `QueryEvaluationException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.